<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.springframework.org/schema/webflow
    http://www.springframework.org/schema/webflow/spring-webflow-1.0.xsd">

  <start-state idref="view"/>

  <action-state id="view">
    <action bean="community.viewAction" method="view"/>
    <transition on="SingleThreadCommunity" to="singleThreadView"/>
    <transition on="MultiThreadCommunity" to="multiThreadView"/>
  </action-state>

  <end-state id="singleThreadView" view="community.SingleThreadView">
    <entry-actions>
      <action bean="community.viewAction" method="viewSingleThreadCommunity"/>
    </entry-actions>
  </end-state>

  <end-state id="multiThreadView" view="community.MultiThreadView">
    <entry-actions>
      <action bean="community.viewAction" method="viewMultiThreadCommunity"/>
    </entry-actions>
  </end-state>

</flow>
